/**
 * Shell of our Progressive Web App
 */
 
/** Reset approach. All the elements behave as border-box */
* {
    box-sizing: border-box; 
}


/** Reset open-props */
.select2-container--open :where(li) {
    max-inline-size: none;
}

.modal__overlay {
    z-index: 101;
}


/** Basic and general style */
html, body {
    padding: 0;
    margin: 0;
    min-height: 100%;
    width: 100%;
    font-family: 'Nunito Sans', sans-serif;
    font-weight: 400;
    font-size: 16px;
    font-display: optional;
    color: #444;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale; 
}

/** Avoid horizontal scrolling */
html {
    overflow-x: hidden;
}


/** The web app fits all the viewport */
body {
    background-color: #8b5a3d;
    background-color: white;
}


/** Loader */
.loader {
    left: 50%;
    top: 50%;
    position: fixed;
    
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%); 
}

.loader #spinner {
    box-sizing: border-box;
    stroke: #673AB7;
    stroke-width: 3px;
    -webkit-transform-origin: 50%;
            transform-origin: 50%;
    -webkit-animation: line 1.6s cubic-bezier(0.4, 0, 0.2, 1) infinite, rotate 1.6s linear infinite;
            animation: line 1.6s cubic-bezier(0.4, 0, 0.2, 1) infinite, rotate 1.6s linear infinite; 
}

@-webkit-keyframes rotate {
    from { -webkit-transform: rotate(0); transform: rotate(0); }
    to     { -webkit-transform: rotate(450deg); transform: rotate(450deg); } }

@keyframes rotate {
    from { -webkit-transform: rotate(0); transform: rotate(0); }
    to     { -webkit-transform: rotate(450deg); transform: rotate(450deg); } }

@-webkit-keyframes line {
    0%     { stroke-dasharray: 2, 85.964; -webkit-transform: rotate(0); transform: rotate(0); }
    50%    { stroke-dasharray: 65.973, 21.9911; stroke-dashoffset: 0; }
    100% { stroke-dasharray: 2, 85.964; stroke-dashoffset: -65.973; -webkit-transform: rotate(90deg); transform: rotate(90deg); } }

@keyframes line {
    0%     {stroke-dasharray: 2, 85.964; -webkit-transform: rotate(0); transform: rotate(0); }
    50%    {stroke-dasharray: 65.973, 21.9911; stroke-dashoffset: 0; }
    100% {stroke-dasharray: 2, 85.964; stroke-dashoffset: -65.973; -webkit-transform: rotate(90deg); transform: rotate(90deg); } 
}
    
.menu-action {
    position: fixed;
    display: none;
    top: 0;
    left: .5rem;
    z-index: 1000;
    color: white;
    line-height: 1.11;
    font-size: 2rem;
    transition: all .3s ease-out;
}

#menu-action-toggle {
    display: none;
}

.menu-action > span {
    border: none;
    color: white;
    font-size: 1.25rem;
    line-height: 2rem;
    outline: none;
    cursor: pointer;
    background: #333;
    width: 2rem;
    height: 2rem;
    text-align: center;
    border-radius: 100%;
}


nav {
    display: block;
    background-color: #333;
}

nav h3 {
    margin: 0;
    padding: 0.75rem 0;
    text-align: center;
    line-height: 1.2;
    font-weight: 300;
    color: white;
    background-color: #e0614c;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

nav li {
    display: block;
    padding: 0;
}

nav a {
    position: relative;
    display: block;
    padding: 1rem 0 .7rem 4rem;
    text-align: left;
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    line-height: 1.2;
    font-weight: bold;
    font-size: 1rem;
    background-color: #0074a3;
    color: white;
}

:where(nav li a[href]):visited {
    color: white;
}

nav a i {
    position: absolute;
    left: 1rem;
    font-size: 1.5rem;
    line-height: 1;
    top: 50%;
    margin-top: -0.75rem;
}

nav li a {
    background-color: #333;
    font-weight: 300;
    color: #fff;
}

nav a.is-active {
    font-weight: bold;
    background-color: #000;
}

nav a:hover {
    background-color: #ffe8d1;
    color: #333;
}

#menu-action-toggle:checked + .menu-action {
    transform: rotate(90deg);
}

#menu-action-toggle:checked ~ nav {
    left: 0;
}

/** Main content */
html, body, .main {
    height: 100%;
}

.main {
    background-color: transparent;
    -webkit-overflow-scrolling: touch; 
    margin: 0 auto;
}

.main.state-offline:before {
    content: "OFFLINE";
    position: fixed;
    right: .5rem;
    top: .5rem;
    background-color: #FF4136;
    text-align: center;
    color: white;
    padding: .5rem;
    z-index: 5000;
}


/* Tabs */
.tabs {
    position: relative;
    width: 100%;
    margin: 4rem 0 0 0;
}

[role="tablists"] {
    width: 100%;
    background: rgba(255, 255, 255, 0.94);
    display: flex;
    align-items: center;
    list-style: none;
    overflow-x: auto;
}    

[role="tablists"] button {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem 2rem;
    margin-right: 0.0625rem;
    cursor: pointer;
    background-color: #74a47a;
    color: #fff;
    font-size: 1.2rem;
    font-weight: 700;
    transition: background-color ease 0.3s;
}

[role="tablists"] button[aria-selected="true"] {
    background-color: #417049;
}

.tabs [role="tabpanel"] {
    position: relative;
    transition: transform 0.4s;
    min-height: 10rem;
    overflow: hidden;
}

.tabs input[type="radio"] {
    position: absolute;
    top: 0;
    left: -9999px;
}
    
.tabs label {
    display: inline-block;
    padding: 14px 21px;
    border-radius: 2px 2px 0 0;
    font-size: 20px;
    font-weight: normal;
    text-transform: uppercase;
    cursor: pointer;
    position: relative;
    top: 4px;
}

.vex.vex-theme-plain .vex-content {
    border-radius: .5rem;
    background-color: #ffe8d1;
}

.vex.vex-theme-plain .vex-dialog-form .vex-dialog-input select, .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input textarea, .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="date"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="datetime"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="datetime-local"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="email"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="month"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="number"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="password"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="search"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="tel"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="text"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="time"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="url"], .vex.vex-theme-plain .vex-dialog-form .vex-dialog-input input[type="week"] {
    background-color: white;
}

.vex.vex-theme-plain .vex-dialog-button.vex-dialog-button-primary {
    background-color: #417049;
}
